Bug 1297312 - [cinder] revert operation when fail to add Cinder snapshot.
[cinder] revert operation when fail to add Cinder snapshot.
Status: CLOSED CURRENTRELEASE
Product: ovirt-engine
Classification: oVirt
Component: BLL.Storage (Show other bugs)
4.0.0
Unspecified Unspecified
unspecified Severity high (vote)
: ovirt-3.6.2
: 3.6.2.6
Assigned To: Maor
Natalie Gavrielov
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-11 02:43 EST by Maor
Modified: 2016-02-23 08:31 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-02-23 08:31:51 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Storage
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
tnisan: ovirt‑3.6.z?
ylavi: planning_ack+
tnisan: devel_ack+
rule-engine: testing_ack?


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 51606 master MERGED core: Support revert of new Cinder snapshot. 2016-01-12 08:15 EST
oVirt gerrit 51723 ovirt-engine-3.6 MERGED core: Support revert of new Cinder snapshot. 2016-01-13 05:41 EST
oVirt gerrit 51746 ovirt-engine-3.6 MERGED core: Add TODO once fix will be backported 2016-01-13 08:02 EST
oVirt gerrit 52355 ovirt-engine-3.6.2 MERGED core: Support revert of new Cinder snapshot. 2016-01-18 13:02 EST
oVirt gerrit 52356 ovirt-engine-3.6.2 MERGED core: Add TODO once fix will be backported 2016-01-18 13:03 EST

  None (edit)
Description Maor 2016-01-11 02:43:51 EST
Description of problem:
Once a new Cinder snapshot is failed to be created the failed operation should remove all the redundant volumes which were already created for the other Cinder snapshots  in the VM

Version-Release number of selected component (if applicable):


How reproducible:
100%

Steps to Reproduce:
1. Create a VM
2. Create several Cinder disks (5 disks for example)
3. Create a Snapshot
4. Fail the operation so the snapshot will not get created (Even by failing only of one of the volume's snapshot which was created)


Actual results:
The Cinder's snapshots for each Cinder disks are not being removed from Cinder after this failure

Expected results:
All the snapshots which were created in Cinder, for each volume, should be removed from Cinder.

Additional info:
Comment 1 Maor 2016-01-12 12:46:27 EST
Please consider that for this fix to work on multiple disks the patch with the following change-id I2ca19ec44cba371813381e8f8b076e463eda4173 should be backported.

Until then, this fix should resolve the issue but mainly for one Cinder disk, for multiple disks there might be several corner cases which might not be supported.

Note You need to log in before you can comment on or make changes to this bug.